function  [p]=ShowParticles(name) ;
%
% reads the positions (x,y) of the particles from file 'name'
%

[fid,msg]=fopen(name,'r') ;

if (fid<=0) 
 msg 
 return ;
end

x=zeros(1,2) ;
y=x ;

% Read the number of particles and the lengths of the domain
[n ,c]=fread(fid,1,'int') ;
[xl,c]=fread(fid,2,'double') ;

% Fenster aufmachen
close all
axes('XLim',[0,xl(1)] , 'YLim',[0,xl(2)]) ;

% Farbtabelle
colormap('default') ;
map=colormap ;
[ms,i]=size(map) ;

% Read the positions
for i=1:n
  [xy,c]=fread(fid,[2],'double') ;
  [p ,c]=fread(fid,[1],'int') ;
 
  x(1)=xy(1) ;y(1)=xy(2) ;
  x(2)=x(1)  ;y(2)=y(1)  ;

  % Color ausrechnen
  rgb=map(1+min(floor(p*ms/10),ms-1),:) ;
 
  %Plot
  line(x,y,'Color',rgb) ;
end
fclose(fid) ;



